## ros-galactic-ros2param 0.13.5

=== debian/changelog ===
ros-galactic-ros2param (0.13.5-1focal) focal; urgency=high

  * Mark test verb load, list and dump as xfail (#773 <https://github.com/ros2/ros2cli/issues/773>)
  * Contributors: Cristóbal Arroyo

 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 02 Dec 2022 08:00:00 -0000

ros-galactic-ros2param (0.13.4-1focal) focal; urgency=high

  * Skip None Result (#646 <https://github.com/ros2/ros2cli/issues/646>) (#723 <https://github.com/ros2/ros2cli/issues/723>)
  * man_farmer
    
    Mark known flaky tests as xfail (#726)
  * Contributors: Jorge Perez, mergify[bot]

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 30 Jun 2022 07:00:00 -0000

ros-galactic-ros2param (0.13.3-1focal) focal; urgency=high

  * Fix flaky ros2 param list (#656 <https://github.com/ros2/ros2cli/issues/656>) (#663 <https://github.com/ros2/ros2cli/issues/663>)
  * Contributors: Jacob Perron

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 28 Apr 2022 07:00:00 -0000

ros-galactic-ros2param (0.13.2-1focal) focal; urgency=high

  * Add changelog. (#636 <https://github.com/ros2/ros2cli/issues/636>)
  * Contributors: Ivan Santiago Paunovic

 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 07 May 2021 07:00:00 -0000

ros-galactic-ros2param (0.13.1-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 26 Apr 2021 07:00:00 -0000

ros-galactic-ros2param (0.13.0-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 06 Apr 2021 07:00:00 -0000

ros-galactic-ros2param (0.12.0-1focal) focal; urgency=high

  * Make the ros2param --filter test more reliable. (#606 <https://github.com/ros2/ros2cli/issues/606>)
  * Add wildcard loading to ros2 param load. (#602 <https://github.com/ros2/ros2cli/issues/602>)
  * Ros2 param dump/load should use fully qualified node names. (#600 <https://github.com/ros2/ros2cli/issues/600>)
  * Add --filter options for 'ros2 param list'. (#592 <https://github.com/ros2/ros2cli/issues/592>)
  * Remove maintainer. (#597 <https://github.com/ros2/ros2cli/issues/597>)
  * Add rosparam verb load. (#590 <https://github.com/ros2/ros2cli/issues/590>)
  * Add Audrow as a maintainer. (#591 <https://github.com/ros2/ros2cli/issues/591>)
  * Contributors: Audrow Nash, Claire Wang, Ivan Santiago Paunovic, Victor Lopez

 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 02 Mar 2021 08:00:00 -0000

ros-galactic-ros2param (0.11.0-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 25 Jan 2021 08:00:00 -0000

ros-galactic-ros2param (0.10.1-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 08 Dec 2020 08:00:00 -0000

ros-galactic-ros2param (0.10.0-1focal) focal; urgency=high

  * Add "--param-type" option to ros2param list. (#572 <https://github.com/ros2/ros2cli/issues/572>)
  * Update maintainers. (#568 <https://github.com/ros2/ros2cli/issues/568>)
  * Contributors: Claire Wang, tomoya

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 02 Nov 2020 08:00:00 -0000

ros-galactic-ros2param (0.9.5-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 01 Jun 2020 07:00:00 -0000

ros-galactic-ros2param (0.9.4-1focal) focal; urgency=high

  * Avoid array.array in ros2 param output. (#508 <https://github.com/ros2/ros2cli/issues/508>)
  * Contributors: Michel Hidalgo

 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 26 May 2020 07:00:00 -0000

ros-galactic-ros2param (0.9.3-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 13 May 2020 07:00:00 -0000

ros-galactic-ros2param (0.9.2-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 08 May 2020 07:00:00 -0000

ros-galactic-ros2param (0.9.1-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 06 May 2020 07:00:00 -0000

ros-galactic-ros2param (0.9.0-1focal) focal; urgency=high

  * [ros2param] Convert test_verb_dump into launch test. (#485 <https://github.com/ros2/ros2cli/issues/485>)
    Fixes https://github.com/ros2/ros2cli/issues/480
    The actual tests are the same, except with the use of launch_testing we ensure the CLI daemon
    is restarted between tests. This follows a similar pattern as the other ros2cli tests.
    In addition to converting to launch tests, this change also runs the tests for all RMW implementations.
    For now, we are skipping tests on Windows. Other CLI tests are skipped on Windows since https://github.com/ros2/ros2cli/pull/489. To be reverted when https://github.com/ros2/build_farmer/issues/248 is resolved.
  * Do not wait for entire timeout. (#486 <https://github.com/ros2/ros2cli/issues/486>)
    Follow-up to #481 <https://github.com/ros2/ros2cli/issues/481>
    This makes the tests faster.
  * [ros2param] Add timeout to ros2param list. (#469 <https://github.com/ros2/ros2cli/issues/469>)
  * [ros2param] Wait for discovery before running tests. (#481 <https://github.com/ros2/ros2cli/issues/481>)
    Fixes #480 <https://github.com/ros2/ros2cli/issues/480>.
    Catch expected exceptions from rclpy (or transitively as xmlrpc.client.Fault) while we wait for discovery in the test setup.
  * More verbose test_flake8 error messages (same as ros2/launch_ros#135 <https://github.com/ros2/launch_ros/issues/135>)
  * Use f-string. (#448 <https://github.com/ros2/ros2cli/issues/448>)
    * Use f-string
    * Remove unused variable
  * Fix ros2param tests. (#441 <https://github.com/ros2/ros2cli/issues/441>)
  * Only load required entry points which improves the performance. (#436 <https://github.com/ros2/ros2cli/issues/436>)
    * Extend API to exclude extensions from loading
    * Add add_subparsers_on_demand() function
    * Update all extensions to use the new API
    * Deprecate old API, add deprecation warnings
  * Contributors: Dirk Thomas, DongheeYe, Jacob Perron

 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 29 Apr 2020 07:00:00 -0000

ros-galactic-ros2param (0.8.6-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 19 Nov 2019 08:00:00 -0000


