=== debian/control ===
Source: ros-galactic-ros2param
Section: misc
Priority: optional
Maintainer: Mabel Zhang <mabel@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), python3-pytest <!nocheck>, ros-galactic-ament-copyright <!nocheck>, ros-galactic-ament-flake8 <!nocheck>, ros-galactic-ament-pep257 <!nocheck>, ros-galactic-ament-xmllint <!nocheck>, ros-galactic-launch <!nocheck>, ros-galactic-launch-ros <!nocheck>, ros-galactic-launch-testing <!nocheck>, ros-galactic-launch-testing-ros <!nocheck>, ros-galactic-rcl-interfaces, ros-galactic-rclpy, ros-galactic-ros2cli, ros-galactic-ros-workspace, python3-all, python3-setuptools, dh-python
Homepage: 
Standards-Version: 3.9.2

Package: ros-galactic-ros2param
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ros-galactic-rcl-interfaces, ros-galactic-rclpy, ros-galactic-ros2cli, ros-galactic-ros2node, ros-galactic-ros2service, ros-galactic-ros-workspace
Description: The param command for ROS 2 command line tools.
